Class | Fog::Compute::AWS::DhcpOptions
In: | lib/fog/aws/models/compute/dhcp_options.rb
Parent: | Fog::Collection

### Methods

all get new

### Public Class methods

new(attributes)

     Creates a new dhcp option

     AWS.dhcp_options.new

     ==== Returns

     Returns the details of the new DHCP options

>> AWS.dhcp_options.new

# > <Fog::Compute::AWS::DhcpOption

id=nil, dhcp_configuration_set=nil, tag_set=nil >

### Public Instance methods

all(filters = filters)

     Returns an array of all DhcpOptions that have been created

     AWS.dhcp_options.all

     ==== Returns

     Returns an array of all DhcpOptions

>> AWS.dhcp_options.all <Fog::Compute::AWS::DhcpOptions filters={} [ <Fog::Compute::AWS::DhcpOption id="dopt-some-id", dhcp_configuration_set={"vpcId"=>"vpc-some-id", "state"=>"available"}, tag_set={} > ] >

get(dhcp_options_id)

     Used to retrieve an DhcpOption

     You can run the following command to get the details:
     AWS.dhcp_options.get("dopt-12345678")

     ==== Returns

>> AWS.dhcp_options.get("dopt-12345678")

# > <Fog::Compute::AWS::DhcpOption

id="dopt-12345678", dhcp_configuration_set={"vpcId"=>"vpc-12345678", "state"=>"available"}, tag_set={} >

[Validate]